/**
 * Digits 4x7 px normal
 * Digits 4x7 px 7-segment style
 * font for screen based on HT1632C
 * Vladimir N. Shilov shilow@ukr.net
 */

#pragma once
#ifndef _DIGITS_H
#define _DIGITS_H

/*
 ##    #   ##   ##     # ####  ##  ####  ##   ## 
#  #  ##  #  # #  #   ## #    #  #    # #  # #  #  ##
#  #   #    #     #  # # #    #      #  #  # #  #  ##
#  #   #   #    ##  #### ###  ###   #    ##   ###
#  #   #  #       #    #    # #  #  #   #  #    #  ##
#  #   #  #    #  #    # #  # #  #  #   #  # #  #  ##
 ##   ### ####  ##     #  ##   ##   #    ##   ## 
*/
static const uint8_t digit_4x7[11][4] = {
  {0x3e, 0x41, 0x41, 0x3e},
  {0x00, 0x42, 0x7f, 0x40},
  {0x72, 0x49, 0x45, 0x42},
  {0x22, 0x49, 0x49, 0x36},
  {0x08, 0x0c, 0x0a, 0x7f},
  {0x2f, 0x49, 0x49, 0x31},
  {0x3e, 0x49, 0x49, 0x32},
  {0x01, 0x79, 0x05, 0x03},
  {0x36, 0x49, 0x49, 0x36},
  {0x26, 0x49, 0x49, 0x3e},
  {0x00, 0x36, 0x36, 0x00}
};

/*
 ##         ##    ##          ##    ##    ##    ##    ## 
#  #    #     #     #  #  #  #     #        #  #  #  #  #
#  #    #     #     #  #  #  #     #        #  #  #  #  #
            ##    ##    ##    ##    ##          ##    ## 
#  #    #  #        #     #     #  #  #     #  #  #     #
#  #    #  #        #     #     #  #  #     #  #  #     #
 ##         ##    ##          ##    ##          ##    ## 
*/
static const uint8_t digit_7seg[10][4] = {
  {0x36, 0x41, 0x41, 0x36},
  {0x00, 0x00, 0x00, 0x36},
  {0x30, 0x49, 0x49, 0x06},
  {0x00, 0x49, 0x49, 0x36},
  {0x06, 0x08, 0x08, 0x36},
  {0x06, 0x49, 0x49, 0x30},
  {0x36, 0x49, 0x49, 0x30},
  {0x00, 0x01, 0x01, 0x36},
  {0x36, 0x49, 0x49, 0x36},
  {0x06, 0x49, 0x49, 0x36}
};
#endif /* _DIGITS_H */
